--[[
Str：
92001-94000	马
94001-96000	佟
96001-98000	金


Scriptlist:
24001+


Flag:
DLC主旗标：44001


npcData:
701-800	马
801-900	佟 
901-1000	金
--]]

--时间段四	24404
--碧溪村

function dlc04_4()



local	n=flag.GetValue(44001)	--DLC主旗标

if	n==404	then


	--开始剧情 
	func_start(1184,2770,0,1)	
	--修改旗标 
	flag.SetValue(44001,501)	
	
	
	
	
	--转头
	for	i=1,20,1
		do 
		npc.SetHeadRot(i,0,0)
		end	
	for i=1,20,1
		do
		npc.Destroy(i)
		end			
	
	
	
	--npc建立
	--姜承 
	npc.Create(3,3,1088,2840)
	-- npc.SetPos(3,1088,2840)
	npc.SetAt(3,1,-1)
	npc.SetAnim(3,125)	
	--厉岩 
	npc.Create(9,9,1085,2870)
	-- npc.SetPos(9,1085,2870)
	npc.SetAtPos(9,1130,2795)
	npc.SetVisible(9,1)
	--结萝 
	npc.Create(10,10,1100,2880)	
	-- npc.SetPos(10,1100,2880)	
	npc.SetAtPos(10,1130,2795)	
	--姜世离 
	npc.Create(30,11,1130,2795)
	-- npc.SetPos(11,1130,2795)
	npc.SetAt(11,-1,1)
	--血手 
	npc.Create(36,12,1165,2790)
	-- npc.SetPos(12,1165,2790)
	npc.SetAt(12,-1,1)
	npc.SetHeadRotTo(12,3)
	--毒影 
	npc.Create(901,13,1170,2810)
	-- npc.SetPos(13,1170,2810)
	npc.SetAt(13,-1,1)
	npc.SetHeadRotTo(13,3)
	--魔教教众甲
	-- npc.Create(902,14,1276,2874)
	npc.SetPos(14,1276,2874)
	npc.SetAt(14,-1,0)
	--魔教教众乙 
	-- npc.Create(903,15,1262,2890)
	npc.SetPos(15,1262,2890)
	npc.SetAt(15,-1,0)
	--魔教教众丙
	-- npc.Create(904,16,1284,2852)
	npc.SetPos(16,1284,2852)
	npc.SetAt(16,-1,0)
	--姜承卸武器 
	npc_weapon(3,0)
	--转头
	for	i=1,20,1
		do 
		npc.SetHeadRot(i,0,0)
		end
	
	
	
	
	
	


	
	
	
	
	
	


	
	
	
	
	
	--播放音乐 gs12
	global.PlayMusic(162,100,1)			


	--镜头1 
	-- 越过姜世离 面向姜承 
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(1136,88,2736,1113,56,2827)
	camera.ResetLerp(20000)	
	camera.ChangeCameraStatic(1127,82,2750,1112,58,2846)
	--淡入 
	effect.FadeIn(1,1)
	global.Wait(1)

	ui.Dialog(96110,142,2,3,0,0)	--虚弱	--唔……
	ui.Dialog(96111,108,0,11,0,0)	--你还是执意要守护折剑山庄么？

	-- 姜承恢复 
	npc.SetAnimSpeed(3,50)
	npc.SetAnim(3,200)
	npc.SetAnimSpeed(3,100)
	global.Wait(0.5)
	
	ui.Dialog(96112,135,2,3,0,0)	--要战便战，无需多言。
	global.Wait(0.5)
	ui.Dialog(96113,107,0,11,0,0)	--这就是你的回答？
	global.Wait(0.5)

	-- 姜承备战
	npc_weapon(3,3)
	npc.SetAnim(3,101)
	global.Wait(0.5)

	ui.Dialog(96114,138,2,3,0,0)	--是我的决定。
	ui.Dialog(96115,109,0,11,0,0)	--哼！
	ui.Dialog(96116,138,2,3,0,0)	--你也做决定。若你仍旧对折剑山庄心怀不轨，我拼死也会阻你！
	
	
	
	
	
	
	--镜头2 
	-- 面向姜世离
	camera.ResetLerp(0)	
	-- camera.ChangeCameraStatic(1092,76,2819,1186,66,2786)
	camera.ChangeCameraStatic(1096,79,2844,1170,53,2782)
	--偷偷挪位置 
	npc.SetPos(3,1070,2855)
	-- npc.SetHeadRot(9,0,0)
	-- npc.SetHeadRot(10,0,0)
	npc.SetAt(9,1,-1)
	npc.SetAt(10,1,-1)
	
	
	--音乐淡出 
	global.MusicFadeIn(2000,100,0)		
	-- 等待几秒 
	global.Wait(2)
	
	camera.ResetLerp(6000)		
	-- camera.ChangeCameraStatic(1030,87,2860,1124,56,2853)
	camera.ChangeCameraStatic(1036,89,2897,1112,56,2840)
	global.Wait(1)
	-- 姜世离往前走 
	npc.SetAnimSpeed(11,70)
	npc.SetSpeed(11,0.7)
	npc.MoveTo(11,1100,2825)
	global.Wait(1)
	-- 毒影、血手跟上
	npc.SetHeadRot(12,0,0)
	npc.SetHeadRot(13,0,0)	
	npc.SetAnimSpeed(12,70)
	npc.SetSpeed(12,0.7)
	npc.SetAnimSpeed(13,70)
	npc.SetSpeed(13,0.7)	
	npc.MoveTo(12,1112,2843)
	npc.MoveTo(13,1119,2861)
	global.WaitForNpcPos(13,1119,2861)
	
		
	
	npc.SetAnimSpeed(11,100)
	npc.SetSpeed(11,1)	
	npc.SetAnimSpeed(12,100)
	npc.SetSpeed(12,1)	
	npc.SetAnimSpeed(13,100)
	npc.SetSpeed(13,1)		
	global.Wait(1)
	
	
	
	
	
	
	
	
	
	
	
	
	--姜承 
	-- npc.SetPos(3,1070,2855)
	npc.SetAt(3,0,-1)
	npc.SetAnim(3,200)
	--厉岩 
	-- npc.SetPos(9,1085,2870)
	-- npc.SetAt(9,1,-1)
	--结萝 
	-- npc.SetPos(10,1100,2880)	
	-- npc.SetAt(10,1,-1)
	--姜世离 
	npc.Stop(11)
	npc.SetPos3D(11,1100,33,2825)
	npc.SetAt(11,-1,0)
	--血手 
	npc.Stop(12)
	npc.SetPos3D(12,1112,32,2843)
	npc.SetAt(12,-1,1)
	--毒影 
	npc.Stop(13)
	-- npc.SetPos3D(13,1119,32,2861)
	npc.SetPos3D(13,1121,33,2859)
	npc.SetAt(13,-1,1)
	--相对 
	npc.SetHeadRotTo(3,11)
	npc.SetHeadRotTo(11,3)
	-- 姜承卸武器
	npc_weapon(3,0)
	
	
	--播放音乐 gs19
	global.PlayMusic(174,100,1)			
	
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(1060,60,2809,1126,70,2884)
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(1069,69,2805,1123,63,2889)
	--淡入 
	effect.FadeIn(1,1)
	global.Wait(3)
	--结萝毒影照镜子 
	-- npc.SetAt(13,1,-1)
	npc.SetAnimSpeed(13,60)
	npc.SetAnimSpeed(10,60)
	npc.SetAnim(13,227)
	npc.SetAnim(10,229)
	global.Wait(3.6)
	effect.FadeOutWhite(1,0.5)
	global.Wait(3)
	
	global.CreateCameraSE(3,3962)	
	global.Wait(11)
	--淡出 
	-- effect.FadeOutWhite(1,0.5)
	--npc位置 
	npc.SetAt(11,-1,1)
	npc.SetHeadRot(11,0,0)
	npc.SetPos(12,1117,2833)
	npc.SetPos(13,1125,2848)	
	npc.SetAt(13,-1,1)
	npc.SetAnim(13,200)
	npc.SetAt(3,1,-1)
	npc.SetHeadRot(3,0,0)
	npc.SetPos(9,1080,2870)
	npc.SetPos(10,1085,2885)	
	
	global.Wait(3)
	global.ClearCameraSE()
	
	
	
	
	
	

	
	
	--镜头4 
	-- 面向姜世离 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(1079,70,2848,1156,60,2786)
	camera.ResetLerp(20000)		
	camera.ChangeCameraStatic(1076,71,2846,1162,58,2796)
	--淡出 
	effect.FadeInWhite(1,0.5)
	global.Wait(3)
	
	ui.Dialog(96117,103,0,11,0,0)	--狂妄	--哈哈哈哈哈哈——
	ui.Dialog(96118,104,0,11,0,0)	--孤傲	--能做决定的人，不就在这么——
	global.Wait(1)
	
	
	
	--镜头5 
	-- 面向姜承 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1098,70,2836,1029,64,2908)
	camera.ResetLerp(20000)		
	camera.ChangeCameraStatic(1093,70,2832,1037,60,2915)
	global.Wait(1)
	
	ui.Dialog(96119,130,0,3,0,0)	--惊讶	--！
	global.Wait(1)

	
	
	
	
	--镜头6 
	-- 全镜 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1044,85,2898,1115,51,2837)
	camera.ResetLerp(20000)			
	camera.ChangeCameraStatic(1025,97,2895,1106,52,2856)
	global.Wait(1)

	npc.SetAnim(13,226,2)
	global.Wait(1)
	
	ui.Dialog(96120,566,0,13,0,0)	--……结萝，再见咯。
	global.Wait(1)
	
	-- 三人组离开
	npc.SetAnimSpeed(12,80)
	npc.SetAnimSpeed(13,80)
	npc.SetSpeed(12,0.8)
	npc.SetSpeed(12,0.8)
	npc.MoveTo(12,1246,2772)
	npc.MoveTo(13,1249,2792)
	global.Wait(1.5)
	npc.SetAnimSpeed(11,80)
	npc.SetSpeed(11,0.8)
	npc.MoveTo(11,1226,2774)
	npc.SetHeadRotTo(3,11)
	npc.SetHeadRotTo(9,11)
	-- npc.SetHeadRotTo(10,11)
	-- npc.TurnToNpc(10,11)
	global.Wait(2)

	
	--镜头7 
	-- 面向姜承三人  
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(1105,72,2839,1036,55,2909)
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(1099,72,2843,1052,49,2929)
	-- 结萝笑
	npc.SetAnim(10,211,2)
	global.Wait(1)

	ui.Dialog(96121,560,0,10,0,0)	--？真是奇怪的人。
	global.Wait(3)

	-- 结萝转向厉岩 
	npc.SetHeadRot(10,0,-15)
	npc.TurnToNpc(10,9,1)
	global.Wait(0.5)

	ui.Dialog(96122,562,0,10,0,0)	--大哥？大哥！你看什么呢！你觉得她漂亮呀？

	-- 厉岩转向结萝 
	npc.SetHeadRot(9,0,0)
	npc.TurnToNpc(9,10,1)
	--等待几秒 
	global.Wait(2)

	ui.Dialog(96123,738,2,9,0,0)	--……你很好。

	-- 结萝撒娇 
	npc.SetAnim(10,225)
	global.Wait(0.5)
	
	ui.Dialog(96124,561,0,10,0,0)	--嘻嘻～
	global.Wait(0.5)
	
	
	--镜头8 
	-- 特写姜承 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(1098,75,2844,1007,45,2875)	
	camera.ResetLerp(12000)		
	camera.ChangeCameraStatic(1098,75,2844,1006,52,2877)
	global.Wait(1)
	-- 姜承看手 
	npc.SetAnimSpeed(3,30)
	npc.SetAnim(3,232)
	npc.SetAnimSpeed(3,100)
	global.Wait(1)
	
	ui.Dialog(96125,131,2,3,0,0)	--能做决定的人……
	--等待几秒 
	global.Wait(3)

	--拉远
	camera.ResetLerp(3000)		
	camera.ChangeCameraStatic(1121,83,2833,1044,48,2887)	
	-- 姜承恢复 
	npc.SetAnimSpeed(3,50)
	npc.SetAnim(3,200)
	npc.SetAnimSpeed(3,100)
	global.Wait(0.5)
	
	-- 姜承转向厉岩
	npc.TurnToNpc(3,9,1)
	global.Wait(0.5)
	--对话 
	ui.Dialog(96126,126,2,3,0,0)	--走吧。
	
	
	
	
	--慢速 
	-- global.SetMotionSpeed(70)
	
	--镜头9 
	-- 远镜拉远 
	camera.ResetLerp(0)
	camera.ChangeCameraBindNpc(11,20,12,-25)
	camera.SetBindNpcOffset(-5,5,-8)
	
	
	--npc位置
	npc.SetPos(11,1231,2755)
	npc.SetVisible(14,0)
	npc.SetVisible(15,0)
	npc.SetVisible(16,0)
	
	

	
	
	-- 姜承三人走向传送点
	npc.SetAnimSpeed(3,60)
	npc.SetAnimSpeed(9,60)
	npc.SetAnimSpeed(10,60)	
	npc.SetAnimSpeed(11,60)	
	npc.SetAnimSpeed(12,60)
	npc.SetAnimSpeed(13,60)	
	npc.SetSpeed(3,0.6)
	npc.SetSpeed(9,0.6)
	npc.SetSpeed(10,0.6)	
	npc.SetSpeed(11,0.6)	
	npc.SetSpeed(12,0.6)	
	npc.SetSpeed(13,0.6)
	npc.SetHeadRot(10,0,0)
	npc.MoveTo(3,973,2765)
	npc.MoveTo(9,973,2765)
	npc.MoveTo(10,973,2765)
	-- 姜世离三人走向村子 
	npc.MoveTo(11,1836,2737)
	npc.MoveTo(12,1836,2737)
	npc.MoveTo(13,1836,2737)
	global.Wait(3)
	
	
	-- npc.Stop(3)
	-- npc.Stop(9)
	-- npc.Stop(10)
	-- npc.Stop(11)
	-- npc.Stop(12)
	-- npc.Stop(13)
	npc.SetPos(3,1060,2840)
	npc.SetPos(9,1090,2857)
	npc.SetPos(10,1080,2874)
	npc.MoveTo(3,943,2748)
	npc.MoveTo(9,973,2765)
	npc.MoveTo(10,963,2782)	
	
	camera.ResetLerp(0)		
	camera.ChangeCameraBindNpc(3,-35,6,-6)
	camera.SetBindNpcOffset(-5,3,0)
	global.Wait(2.5)
	--淡出 


	
	
	--清理npc 恢复转头 
	effect.FadeOut(1,1)
	global.Wait(3)	
	
	--慢速恢复 
	for	i=1,13,1
		do
		npc.SetAnimSpeed(i,100)
		npc.SetSpeed(i,1)
		end
	
	for	i=1,10,1
		do 
		npc.SetHeadRot(i,0,0)
		end
	
	global.Wait(0.5)
	
	for i=1,20,1
		do
		npc.Destroy(i)
		end	



		
	--队员恢复	
	--夏侯入队 
	player.Add(p_id(1),0,1)		
	--姜承离队 
	player.Remove(p_id(3))
	--加入纪录的队员
	for i=42022,42030,1
		do
			if	flag.GetValue(i)==1	then
				player.Add(p_id(i-42020),0,1)
			end
		end	
		
		
		
		
	map.Change(1,4007)		--到达凝翠甸		
		
		
	--播放音乐 
	global.PlayMusic(69,100,1)				
		
	func_end(8406,3454,1,1)		
	
	
end	
	
	


end